The Display \& Video 360 API lets you disclose assets as AI-generated or AI-edited. Labels
will be applied to ads with such assets at serving in regions with local AI
labeling regulations.

Learn more in the [Display \& Video 360 Help Center](https://support.google.com/displayvideo/answer/17233038).

## Support in the Display \& Video 360 API

The Display \& Video 360 API includes an optional field,
`syntheticContentAttestationStatus`, in the
[`Creative`](https://developers.google.com/display-video/api/reference/rest/current/advertisers.creatives#Creative.FIELDS.synthetic_content_attestation_status) and
[`AdAsset`](https://developers.google.com/display-video/api/reference/rest/current/advertisers.adAssets#AdAsset.FIELDS.synthetic_content_attestation_status) resources. This field lets you specify
whether a creative or asset contains content that was created or edited with AI.

Setting `syntheticContentAttestationStatus` to `IS_SYNTHETIC` applies the label
in regions with local AI labeling regulations, while setting it to
`NOT_SYNTHETIC` confirms that the content does not require a label. You can also
leave the field unset. A label won't be applied if the field is left unset.
However, after the field is set for a resource, it can't be unset and may only
be updated to be either `IS_SYNTHETIC` or `NOT_SYNTHETIC`.

Valid values of the
[`SyntheticContentAttestationStatus`](https://developers.google.com/display-video/api/reference/rest/current/SyntheticContentAttestationStatus) enum are shown
in the following table:

| `SyntheticContentAttestationStatus` Enum values ||
|---|---|
| `SYNTHETIC_CONTENT_ATTESTATION_STATUS_UNSPECIFIED` | No attestation has been provided. |
| `NOT_SYNTHETIC` | Attested as not created or edited with AI. |
| `IS_SYNTHETIC` | Attested as created or edited with AI. |

For more information on how setting this field affects ad serving, refer to the
[Display \& Video 360 Help Center](https://support.google.com/displayvideo/answer/17233038#how_it_works).

### Label real-time bidding creatives

In Display \& Video 360 API, the ad creatives served by real-time bidding ads are defined by
[`Creative`](https://developers.google.com/display-video/api/reference/rest/current/advertisers.creatives#Creative) resources. Label real-time bidding creatives using
the [`syntheticContentAttestationStatus`](https://developers.google.com/display-video/api/reference/rest/current/advertisers.creatives#Creative.FIELDS.synthetic_content_attestation_status) field
in a [`Creative`](https://developers.google.com/display-video/api/reference/rest/current/advertisers.creatives#Creative) resource.

#### New creatives

Set this field when creating new creatives using
[`advertisers.creatives.create`](https://developers.google.com/display-video/api/reference/rest/current/advertisers.creatives/create).

#### Existing creatives

To update existing creatives:

1. Retrieve your existing creatives using [`advertisers.creatives.list`](https://developers.google.com/display-video/api/reference/rest/current/advertisers.creatives/list).
2. Check their existing [`syntheticContentAttestationStatus`](https://developers.google.com/display-video/api/reference/rest/current/advertisers.creatives#Creative.FIELDS.synthetic_content_attestation_status) field value.
3. If needed, use [`advertisers.creatives.patch`](https://developers.google.com/display-video/api/reference/rest/current/advertisers.creatives/patch) to update the field for any existing creatives.

### Label YouTube and Demand Gen ad assets

In Display \& Video 360 API, the ad creatives served by YouTube and Demand Gen ads are made
up of individual [`AdAsset`](https://developers.google.com/display-video/api/reference/rest/current/advertisers.adAssets#AdAsset) resources. Label YouTube video or
image assets used in YouTube and Demand Gen ads using
[`syntheticContentAttestationStatus`](https://developers.google.com/display-video/api/reference/rest/current/advertisers.adAssets#AdAsset.FIELDS.synthetic_content_attestation_status) field in an
[`AdAsset`](https://developers.google.com/display-video/api/reference/rest/current/advertisers.adAssets#AdAsset) resource.

#### New assets

Set this field when creating new assets:

- For a new YouTube video asset, in the [`AdAsset`](https://developers.google.com/display-video/api/reference/rest/current/advertisers.adAssets#AdAsset) object of an [`advertisers.adAssets.create`](https://developers.google.com/display-video/api/reference/rest/current/advertisers.adAssets/create) request.
- For an image asset, In the request body of [`advertisers.adAssets.upload`](https://developers.google.com/display-video/api/reference/rest/current/advertisers.adAssets/upload) request.

Assets for the same YouTube video must have the same
[`syntheticContentAttestationStatus`](https://developers.google.com/display-video/api/reference/rest/current/advertisers.adAssets#AdAsset.FIELDS.synthetic_content_attestation_status) field value,
if set. Use [`advertisers.adAssets.list`](https://developers.google.com/display-video/api/reference/rest/current/advertisers.adAssets/list) with the following
filter parameter to see if an asset for the relevant YouTube video ID already
exists before attempting to create a new one:

```
  youtubeVideoAsset.youtubeVideoId=youtube-video-id
```

#### Existing assets

To update existing assets:

1. Retrieve your existing creatives using [`advertisers.adAssets.list`](https://developers.google.com/display-video/api/reference/rest/current/advertisers.adAssets/list).
2. Check their existing [`syntheticContentAttestationStatus`](https://developers.google.com/display-video/api/reference/rest/current/advertisers.adAssets#AdAsset.FIELDS.synthetic_content_attestation_status) field value.
3. If needed, use [`advertisers.adAssets.patch`](https://developers.google.com/display-video/api/reference/rest/current/advertisers.adAssets/patch) to update the field for any existing ad assets.